We are excited to announce that the IIS.NET Forums are moving to the new Microsoft Q&A experience. Learn more >

View Complete Thread
  • Failure To Install PHP (any x64 version 5.6 and above)

    Jul 21, 2018 09:57 PM|KoderMonte|LINK

    For platform Windows Server 12 R2, IIS8; I tried installing PHP 5.6, 7.0, 7.1 from WebPI 5.0 and it fails in all cases the same:

    PHP 5.3.28

    This product did not download successfully: The underlying connection was closed: An unexpected error occurred on the send.

    I guess all of the named PHP versions depend upon 5.3.28, and that version is failing to install.

    RESOLUTION:

    I enabled TLS 1.1 and 1.2 in Internet Explorer Options | Advanced

    The installation still failed for the PHP Manager, for which I installed via this installer:

    https://github.com/edgardo001/PHPManagerForIIS-Versiones/blob/master

    Hope this helps someone.